EDIT - bug #9156

Searching for a taxon in the PolytomousKey perspective results in AssertionFailure
07/16/2020 11:50 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

using the simple taxon search

last remote method : http://api.cybertaxonomy.org:80/cyprus/remoting/polytomouskey.service
last remote request client time : 2020-07-16T19:47:09.935
last remote request response header time : Thu, 16 Jul 2020 19:47:10 GMT
client error time : 2020-07-16T23:48:27.688
login : admin
editor version : 5.16.0
server : apil.cybertaxonomy.org (cybertaxonomy.org) / cyprus
schema version : 5.15.2.0.20200611
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.core.runtime.AssertionFailedException: null argument:
at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:85)
at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:73)
at org.eclipse.ed4.ui.internal.workbench.PartServiceImpl.showPart (PartServiceImpl.java:1193)
at eu.etaxonomy.taxeditor.navigation.search.SearchBar.openSearchResultsView (SearchBar. java:261

at eu.etaxonomy.taxeditor.navigation.search.SearchBar.search (SearchBar.java:218)

at eu.etaxonomy.taxeditor.navigation.search.SearchBar.access$1 (SearchBar. java:204)

at eu.etaxonomy.taxeditor.navigation.search.SearchBar$DropdownSelectionListener.widgetSelected
(SearchBar.java:311)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

History

#1 - 12/04/2020 09:03 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#2 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#3 - 03/10/2021 02:48 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#4 - 04/19/2021 05:05 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#5 - 04/20/2021 12:44 PM - Andreas Miiller
This to me seems fast to implement. The problem only occurs if no search has been run in Taxonomic Perspective before hand.
The line

part = partService.findPart (partId);

in taxonomic perspective always returns a result while it does not in PK-perspective. Do you know why it is like this?
